import { GridRowModel } from '@bryntum/grid';

// Define a custom data model to use in the tree store
export class Item extends GridRowModel {
    static get fields() {
        return [
            { name : 'category' },
            { name : 'name' },
            { name : 'price', type : 'number' },
            { name : 'quantity', type : 'number' },
            { name : 'total', type : 'number' }
        ];
    }

    get total() {
        return this.price * this.quantity;
    }
}

Item.exposeProperties();